/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of projray
 *
 * src is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * src is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <stdlib.h>
#include <stdio.h>

#include <suplib/debug.h>
#include <tparam/tparam.h>
#include <tracefct/tracefct.h>

#include "main.h"
#include "common.h"

void
gparam(int argc, char *argv[])
{
  char debug[1024];

  paramfile pf;
  
  tf_enter("gparam");

  pf = tparamopen(NULL, argv, argc, "r");

  /* get debug flags */
  tpgetstr(pf, "debug", debug, DEBUG_LENGTH, 0);
  debug_init(debug);

  c.version = tpgetb(pf, "version");
  c.help    = tpgetb(pf, "help");
  if (! c.version && ! c.help )
  {
    /* input files */
    tpgetstr(pf, "input", c.input, NAME_LENGTH, 1);

    /* output file */
    tpgetstr(pf, "output", c.output, NAME_LENGTH, 1);
    
    c.z = tpgetd(pf, "z");
  }

  paramclose(pf);
  tf_leave();
}
